Skip to main content
POST
/
api
/
process
Creates a new workflow process configuration.
curl --request POST \
  --url https://{install}/api/process \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entity": "<string>",
  "name": "<string>",
  "description": "<string>",
  "image": "<string>",
  "fields": [
    {
      "fieldId": "<string>",
      "order": 123,
      "required": true
    }
  ],
  "features": [
    "<string>"
  ],
  "workflow": [
    {
      "id": "<string>",
      "fieldId": "<string>",
      "value": "<string>",
      "next": "<string>",
      "userGroup": [
        "<string>"
      ]
    }
  ],
  "tenantId": "<string>",
  "id": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updated": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>",
  "deleted": true
}
'

Documentation Index

Fetch the complete documentation index at: https://ekso.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Body

The process configuration to create.

entity
null | string
name
string
description
string
image
string
fields
object[]
features
string[]
workflow
object[]
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean

Response

Process created successfully.